NX Open C++ Reference Guide
|
Represents a Tooling::BendOperationBuilder builder. More...
Public Types | |
enum | Prebend { PrebendTwo, PrebendThree, PrebendFour, PrebendFive, PrebendSix } |
The number of children bends of prebend. More... | |
enum | Types { TypesUnbend, TypesRebend, TypesPrebend, TypesOverbend } |
unbend operations. More... | |
Public Member Functions | |
bool | AlternateResult () |
Returns the switch to set if use an alternate result. | |
NXOpen::Body * | BaseBody () |
Returns the base body. | |
double | BendAngle1 () |
Returns the first angle of prebend. | |
double | BendAngle2 () |
Returns the second angle of prebend. | |
double | BendAngle3 () |
Returns the third angle of prebend. | |
double | BendAngle4 () |
Returns the fourth angle of prebend. | |
double | BendAngle5 () |
Returns the fifth angle of prebend. | |
double | BendDevLength () |
Returns the operation to developed length of a bend. | |
double | BendNeutralFactor () |
Returns the operation of k factor for a single bend. | |
NXOpen::Tooling::BendOperationBuilder::Prebend | BendNumPrebends () |
Returns the number of prebends. | |
bool | KeepRadiusFixed () |
Returns the keep radius fixed. | |
double | OverbendAngle () |
Returns the overbend angle. | |
double | OverbendRadius () |
Returns the overbend radius. | |
NXOpen::SelectEdgeList * | ReferObject () |
Returns the reference objects. | |
bool | ResizeRadius () |
Returns the resize radius. | |
NXOpen::SelectFaceList * | SelectedBend () |
Returns the selection of bends. | |
void | SetAlternateResult (bool alternateResult) |
Sets the switch to set if use an alternate result. | |
void | SetBaseBody (NXOpen::Body *baseBody) |
Sets the base body. | |
void | SetBendAngle1 (double angle1) |
Sets the first angle of prebend. | |
void | SetBendAngle2 (double angle2) |
Sets the second angle of prebend. | |
void | SetBendAngle3 (double angle3) |
Sets the third angle of prebend. | |
void | SetBendAngle4 (double angle4) |
Sets the fourth angle of prebend. | |
void | SetBendAngle5 (double angle5) |
Sets the fifth angle of prebend. | |
void | SetBendDevLength (double devLength) |
Sets the operation to developed length of a bend. | |
void | SetBendNeutralFactor (double kFactor) |
Sets the operation of k factor for a single bend. | |
void | SetBendNumPrebends (NXOpen::Tooling::BendOperationBuilder::Prebend numBends) |
Sets the number of prebends. | |
void | SetKeepRadiusFixed (bool keepRadiusFixed) |
Sets the keep radius fixed. | |
void | SetOverbendAngle (double overbendAngle) |
Sets the overbend angle. | |
void | SetOverbendRadius (double overbendRadius) |
Sets the overbend radius. | |
void | SetResizeRadius (bool resizeRadius) |
Sets the resize radius. | |
void | SetType (NXOpen::Tooling::BendOperationBuilder::Types type) |
Sets the type. | |
NXOpen::Tooling::BendOperationBuilder::Types | Type () |
Returns the type. | |
NXOpen::Assemblies::SelectComponent * | WorkPart () |
Returns the work part. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a Tooling::BendOperationBuilder builder.
To create a new instance of this class, use Tooling::BendOperationCollection::CreateBendOperationBuilder
Default values.
Property | Value |
---|---|
AlternateResult |
0 |
BendAngle1 |
30 |
BendAngle2 |
30 |
BendAngle3 |
30 |
BendAngle4 |
30 |
BendAngle5 |
30 |
BendDevLength |
0.0 |
BendNeutralFactor |
0.4 |
BendNumPrebends |
Two |
KeepRadiusFixed |
0 |
OverbendAngle |
0 |
Created in NX8.5.0.
bool NXOpen::Tooling::BendOperationBuilder::AlternateResult | ( | ) |
Returns the switch to set if use an alternate result.
Created in NX6.0.0.
License requirements : None
NXOpen::Body* NXOpen::Tooling::BendOperationBuilder::BaseBody | ( | ) |
Returns the base body.
Created in NX6.0.0.
License requirements : None
double NXOpen::Tooling::BendOperationBuilder::BendAngle1 | ( | ) |
Returns the first angle of prebend.
Created in NX7.5.0.
License requirements : None
double NXOpen::Tooling::BendOperationBuilder::BendAngle2 | ( | ) |
Returns the second angle of prebend.
Created in NX7.5.0.
License requirements : None
double NXOpen::Tooling::BendOperationBuilder::BendAngle3 | ( | ) |
Returns the third angle of prebend.
Created in NX7.5.0.
License requirements : None
double NXOpen::Tooling::BendOperationBuilder::BendAngle4 | ( | ) |
Returns the fourth angle of prebend.
Created in NX7.5.0.
License requirements : None
double NXOpen::Tooling::BendOperationBuilder::BendAngle5 | ( | ) |
Returns the fifth angle of prebend.
Created in NX7.5.0.
License requirements : None
double NXOpen::Tooling::BendOperationBuilder::BendDevLength | ( | ) |
Returns the operation to developed length of a bend.
Created in NX7.5.0.
License requirements : None
double NXOpen::Tooling::BendOperationBuilder::BendNeutralFactor | ( | ) |
Returns the operation of k factor for a single bend.
Created in NX7.5.0.
License requirements : None
NXOpen::Tooling::BendOperationBuilder::Prebend NXOpen::Tooling::BendOperationBuilder::BendNumPrebends | ( | ) |
Returns the number of prebends.
Created in NX7.5.0.
License requirements : None
bool NXOpen::Tooling::BendOperationBuilder::KeepRadiusFixed | ( | ) |
Returns the keep radius fixed.
Created in NX6.0.0.
License requirements : None
double NXOpen::Tooling::BendOperationBuilder::OverbendAngle | ( | ) |
Returns the overbend angle.
Created in NX6.0.0.
License requirements : None
double NXOpen::Tooling::BendOperationBuilder::OverbendRadius | ( | ) |
Returns the overbend radius.
Created in NX8.5.0.
License requirements : None
NXOpen::SelectEdgeList* NXOpen::Tooling::BendOperationBuilder::ReferObject | ( | ) |
Returns the reference objects.
Created in NX6.0.0.
License requirements : None
bool NXOpen::Tooling::BendOperationBuilder::ResizeRadius | ( | ) |
Returns the resize radius.
Created in NX7.5.0.
License requirements : None
NXOpen::SelectFaceList* NXOpen::Tooling::BendOperationBuilder::SelectedBend | ( | ) |
Returns the selection of bends.
Created in NX6.0.0.
License requirements : None
void NXOpen::Tooling::BendOperationBuilder::SetAlternateResult | ( | bool | alternateResult | ) |
Sets the switch to set if use an alternate result.
Created in NX6.0.0.
License requirements : prog_die_wizard ("UG/Progressive Die Wizard")
alternateResult | alternateresult |
void NXOpen::Tooling::BendOperationBuilder::SetBaseBody | ( | NXOpen::Body * | baseBody | ) |
Sets the base body.
Created in NX6.0.0.
License requirements : prog_die_wizard ("UG/Progressive Die Wizard")
baseBody | basebody |
void NXOpen::Tooling::BendOperationBuilder::SetBendAngle1 | ( | double | angle1 | ) |
Sets the first angle of prebend.
Created in NX7.5.0.
License requirements : prog_die_wizard ("UG/Progressive Die Wizard")
angle1 | angle1 |
void NXOpen::Tooling::BendOperationBuilder::SetBendAngle2 | ( | double | angle2 | ) |
Sets the second angle of prebend.
Created in NX7.5.0.
License requirements : prog_die_wizard ("UG/Progressive Die Wizard")
angle2 | angle2 |
void NXOpen::Tooling::BendOperationBuilder::SetBendAngle3 | ( | double | angle3 | ) |
Sets the third angle of prebend.
Created in NX7.5.0.
License requirements : prog_die_wizard ("UG/Progressive Die Wizard")
angle3 | angle3 |
void NXOpen::Tooling::BendOperationBuilder::SetBendAngle4 | ( | double | angle4 | ) |
Sets the fourth angle of prebend.
Created in NX7.5.0.
License requirements : prog_die_wizard ("UG/Progressive Die Wizard")
angle4 | angle4 |
void NXOpen::Tooling::BendOperationBuilder::SetBendAngle5 | ( | double | angle5 | ) |
Sets the fifth angle of prebend.
Created in NX7.5.0.
License requirements : prog_die_wizard ("UG/Progressive Die Wizard")
angle5 | angle5 |
void NXOpen::Tooling::BendOperationBuilder::SetBendDevLength | ( | double | devLength | ) |
Sets the operation to developed length of a bend.
Created in NX7.5.0.
License requirements : prog_die_wizard ("UG/Progressive Die Wizard")
devLength | devlength |
void NXOpen::Tooling::BendOperationBuilder::SetBendNeutralFactor | ( | double | kFactor | ) |
Sets the operation of k factor for a single bend.
Created in NX7.5.0.
License requirements : prog_die_wizard ("UG/Progressive Die Wizard")
kFactor | kfactor |
void NXOpen::Tooling::BendOperationBuilder::SetBendNumPrebends | ( | NXOpen::Tooling::BendOperationBuilder::Prebend | numBends | ) |
Sets the number of prebends.
Created in NX7.5.0.
License requirements : prog_die_wizard ("UG/Progressive Die Wizard")
numBends | numbends |
void NXOpen::Tooling::BendOperationBuilder::SetKeepRadiusFixed | ( | bool | keepRadiusFixed | ) |
Sets the keep radius fixed.
Created in NX6.0.0.
License requirements : prog_die_wizard ("UG/Progressive Die Wizard")
keepRadiusFixed | keepradiusfixed |
void NXOpen::Tooling::BendOperationBuilder::SetOverbendAngle | ( | double | overbendAngle | ) |
Sets the overbend angle.
Created in NX6.0.0.
License requirements : prog_die_wizard ("UG/Progressive Die Wizard")
overbendAngle | overbendangle |
void NXOpen::Tooling::BendOperationBuilder::SetOverbendRadius | ( | double | overbendRadius | ) |
Sets the overbend radius.
Created in NX8.5.0.
License requirements : prog_die_wizard ("UG/Progressive Die Wizard")
overbendRadius | overbendradius |
void NXOpen::Tooling::BendOperationBuilder::SetResizeRadius | ( | bool | resizeRadius | ) |
Sets the resize radius.
Created in NX7.5.0.
License requirements : prog_die_wizard ("UG/Progressive Die Wizard")
resizeRadius | resizeradius |
void NXOpen::Tooling::BendOperationBuilder::SetType | ( | NXOpen::Tooling::BendOperationBuilder::Types | type | ) |
Sets the type.
Created in NX6.0.0.
License requirements : None
type | type |
NXOpen::Tooling::BendOperationBuilder::Types NXOpen::Tooling::BendOperationBuilder::Type | ( | ) |
Returns the type.
Created in NX6.0.0.
License requirements : None
NXOpen::Assemblies::SelectComponent* NXOpen::Tooling::BendOperationBuilder::WorkPart | ( | ) |
Returns the work part.
Created in NX6.0.0.
License requirements : None